import { ChangeDetectorRef, OnDestroy, ElementRef, EventEmitter, Renderer2, AfterViewInit } from '@angular/core';
import { ControlValueAccessor, FormGroupDirective, NgControl, NgForm } from '@angular/forms';
import { DateAdapter } from '../services/date-picker.service';
export declare class DatePickerDirective implements OnDestroy, ControlValueAccessor, AfterViewInit {
    private renderer;
    private _element;
    private changeRef;
    dateAdapter: DateAdapter<Date>;
    private ngControl;
    value: Date;
    adapter: any;
    outerValue: string;
    invalid: boolean;
    languageCode: string;
    adapterStrategy: DateAdapter<Date>;
    readonly valueChange: EventEmitter<Date | null>;
    private innerDateValue;
    private listenerFn;
    private readonly parent;
    constructor(renderer: Renderer2, _element: ElementRef, changeRef: ChangeDetectorRef, dateAdapter: DateAdapter<Date>, parentForm: NgForm, parentFormGroup: FormGroupDirective, ngControl?: NgControl, _locale?: string);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    writeValue(newValue: Date): void;
    onChange: Function;
    onTouch: Function;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onInput(event: any): void;
    onCalendarSelect(event: any): void;
    onAnjInvalid(event: any): void;
    private isInvalid();
    private updateInnerValue(inputDate);
    private propogateInnerValueChange();
}
